Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1059849 - node-install is looking for hiera in /etc/puppet
Summary: node-install is looking for hiera in /etc/puppet
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
low vote
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-30 19:39 UTC by Jason Montleon
Modified: 2016-08-23 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-23 16:22:24 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jason Montleon 2014-01-30 19:39:26 UTC
Description of problem:
node-install is looking for hiera.yaml in /etc/puppet. The hiera package we ship installs it in /etc

Version-Release number of selected component (if applicable):
katello-installer-0.0.20-1.el6sat.noarch
hiera-1.0.0-3.el6_4.noarch

How reproducible:
Always

Steps to Reproduce:
1. Install Satellite 6
2. Run katello-installer
3. Run node-install

Actual results:
Notice in output that it does not find /etc/puppet/hiera.yaml

Expected results:
Should find hiera.yaml

Additional info:
rpm -ql hiera
/etc/hiera.yaml
/usr/bin/hiera
/usr/lib/ruby/site_ruby/1.8/hiera
/usr/lib/ruby/site_ruby/1.8/hiera.rb
/usr/lib/ruby/site_ruby/1.8/hiera/backend
/usr/lib/ruby/site_ruby/1.8/hiera/backend.rb
/usr/lib/ruby/site_ruby/1.8/hiera/backend/yaml_backend.rb
/usr/lib/ruby/site_ruby/1.8/hiera/config.rb
/usr/lib/ruby/site_ruby/1.8/hiera/console_logger.rb
/usr/lib/ruby/site_ruby/1.8/hiera/noop_logger.rb
/usr/lib/ruby/site_ruby/1.8/hiera/puppet_logger.rb
/usr/lib/ruby/site_ruby/1.8/hiera/util.rb
/usr/share/doc/hiera-1.0.0
/usr/share/doc/hiera-1.0.0/CHANGELOG
/usr/share/doc/hiera-1.0.0/COPYING
/usr/share/doc/hiera-1.0.0/LICENSE
/usr/share/doc/hiera-1.0.0/README.md
/var/lib/hiera

Comment 1 RHEL Product and Program Management 2014-01-30 19:46:28 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 3 Stephen Benjamin 2016-08-23 16:22:24 UTC
This is an old bug, and seems to have been fixed.  No errors in the logs about /etc/puppet/hiera.yml in 6.2 GA.


Note You need to log in before you can comment on or make changes to this bug.